Désinstaller totalement & réinsatller pour résoudre un probléme de mise à jour

Bonjour.

J’ai un “petit” problème avec la boussole

J’ai installée la version 1.4 manuellement, elle a fonctionné correctement 2 jours.
F-Droid a mis l’application à jour… ça marche plus (message d’erreur “sensor not available”)
J’ai tenté une désinstallation + réinstallation de la version 1.4 => toujours la même erreur.

Est-ce qu’il y a un moyen ou de désinstaller “plus en profondeur” une appli, pour permettre une réinstallation propre?

Personnellement je ne vois pas ce qui pourrait permettre de désinstaller “plus en profondeur”. Vous pouvez essayer de supprimer toutes les données de l’appli, puis de la désinstaller (comme vous l’avez déjà fait). Si le problème persiste je ne sais pas comment résoudre le problème, et il faudrait peut-être le signaler au développeurs ici: https://github.com/Kr0oked/Compass/issues

J’ai essayé ce que tu m’as proposé, c’est pareil.

Oui, je ne savais pas exactement comment dire, je sais que certains systèmes peuvent garder des fichiers de configuration, notamment, quelque-part, après une désinstallation “classique”.

Avant de signaler au développeur, ça serait bien que j’essaye de comprendre/savoir pourquoi l’appli F-Droid indique que l’application est incompatible avec mon téléphone (mais ça a quand même marché avant cette mise à jour!) Alors que sur le site F-Droid, on m’indique simplement que cela fonctionne à partir de Android 5.0 (C’est mon cas, je suis sous 6.0)

Bon, j’ai fait un signalement au développeur.
Ce qui m’étonne un peu, c’est que du coup GitHub m’a fait ouvrir un profil comme si j’étais développeur (?)

You’re an user there, all are… either if you code or translate or report bugs, that’s something else.

No, a Github account does not make you a “developer” :roll_eyes:

Please note i said “comme si j’étais” = “like i was”. I know that create an account somewhere don’t give me magically knowledge and talent of a programmer… :smile:

The form of the Github profile make me doubt i have make a error in the subscription when i see it give me possibility to create repositories, projects…

2 Likes

That’s totally normal don’t worry :slight_smile: Each github account has these options!

1 Like

Bon, j’ai eu un retour du développeur.

Il ne comprend pas pourquoi cela à fonctionner au début et plus maintenant.
il pense que mon téléphone est incompatible ou que le téléphone bloque l’accès à ses capteurs à l’application.

il m’a aussi informé qu’a travers le store F-Droid, ce n’est pas seulement la version android qui est recherchée mais aussi les pré-requis suivants :
android.hardware.sensor.accelerometer
android.hardware.sensor.compass
android.hardware.sensor.gyroscope

J’ai finalement réussis à trouver une autre appli boussole qui ne contient pas d’anti-fonction, ne demande pas d’autorisation et affiche l’angle exact
https://f-droid.org/fr/packages/com.platypus.SAnd/

Can I change the title of the post to make it more clear to someone have a similar problem?

1 Like

This topic was automatically closed 60 days after the last reply. New replies are no longer allowed.